Page MenuHomePhabricator

History page filter revisions cannot be expanded on Minerva skin
Closed, ResolvedPublic3 Story Points

Description

Visit https://en.wikipedia.org/wiki/Spain?action=history&useskin=minerva


Expected: I can expand the form. There is no flash of unstyled content.
Actual: I can't expand the form - there is no toggle (inserted in HTML or JS!)! There is a flash of unstyled content.

Developer notes

Fixed by mw.loader.using('mediawiki.page.ready')
Seems that code is needed on this page.
mediawiki.page.ready is a default module for all skins EXCEPT Minerva which purposely disables it. It has multiple responsibilities (including collapse/expand behaviour on article pages - see T111565)
As a temporary measure, we'd want to load mediawiki.page.ready on the special page.

QA Steps

Test Mobile Site

  1. When logged in and with AMC mode on, Visit https://en.m.wikipedia.beta.wmflabs.org/w/index.php?title=Selenium_Echo_mention_test_0.5017605665634842&action=history
  2. Ensure when you click on the "expand"/"collapse" link in the "Filter revisions" box, it toggles the visibility of the form

Test Vector

  1. https://en.wikipedia.beta.wmflabs.org/w/index.php?title=Mod%C3%A8le:43e&action=history
  2. Ensure when you click on the "expand"/"collapse" link in the "Filter revisions" box, it toggles the visibility of the form

Test Minerva on Desktop

  1. https://en.wikipedia.beta.wmflabs.org/w/index.php?title=Mod%C3%A8le:43e&action=history&useskin=minerva
  2. Ensure when you click on the "expand"/"collapse" link in the "Filter revisions" box, it toggles the visibility of the form. Don't worry about the red background - this is a beta cluster site style that will not appear on production. Also don't worry about the "Compare selected revisions button" being smaller. This is a bug unrelated to this patch and I will file another ticket for that.

QA Results

ACStatusDetails
1T223204#5255597
2T223204#5255597
3T223204#5255597

Details

Related Gerrit Patches:

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 14 2019, 8:16 AM
Jdlrobson updated the task description. (Show Details)May 14 2019, 8:23 AM
Jdlrobson updated the task description. (Show Details)May 14 2019, 8:32 AM

Change 510090 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/skins/MinervaNeue@master] History form collapsible on Minerva

https://gerrit.wikimedia.org/r/510090

ovasileva triaged this task as High priority.May 20 2019, 2:20 PM

@ovasileva I wonder if it would make sense to hide the filter/form on mobile? Tilman's comment T107069#5095853 suggests that 6% (or less) of people use the filter.

@ovasileva I wonder if it would make sense to hide the filter/form on mobile? Tilman's comment T107069#5095853 suggests that 6% (or less) of people use the filter.

No strong opinion either way but I think we should definitely have it collapsible but available on Minerva desktop - if this translates into it being collapsible on mobile, that would be optimal. If not, I think hiding would be okay as well.

nray removed nray as the assignee of this task.May 29 2019, 5:09 PM
nray added a subscriber: nray.
pmiazga claimed this task.Jun 7 2019, 2:22 PM
pmiazga added a comment.EditedJun 10 2019, 7:09 PM

it works as expected, there is only one minor issue, there is no information when we use filter and there are no results.

We should create a ticket to and information box "no results"

pmiazga removed pmiazga as the assignee of this task.Jun 10 2019, 7:10 PM
pmiazga added a subscriber: pmiazga.

@pmiazga good catch. This is an issue on mobile and desktop. Also, if you expand the filter, add some criteria, then click "Show results" the filter closes when the results are shown. Ideally the filter would remain expanded in that case.

@pmiazga good catch. This is an issue on mobile and desktop. Also, if you expand the filter, add some criteria, then click "Show results" the filter closes when the results are shown. Ideally the filter would remain expanded in that case.

@alexhollender those are exactly two things I told Nick after I checked this patch :). @nray will create phab tickets to fix those issues

Change 510090 merged by jenkins-bot:
[mediawiki/skins/MinervaNeue@master] 🐛 Bug: Make the history action's filters form toggleable again

https://gerrit.wikimedia.org/r/510090

nray updated the task description. (Show Details)Jun 11 2019, 5:40 PM
Edtadros reassigned this task from Edtadros to ovasileva.Jun 13 2019, 12:23 AM
Edtadros added a subscriber: Edtadros.

Test Result

Status: ✅ PASS
OS: macOS Mojave
Browser: Chrome
Device: MBP
Emulated Device: iPhoneX

Test Artifact(s):

QA Steps

✅ AC1: Test Mobile Site
When logged in and with AMC mode on, Visit https://en.m.wikipedia.beta.wmflabs.org/w/index.php?title=Selenium_Echo_mention_test_0.5017605665634842&action=history
Ensure when you click on the "expand"/"collapse" link in the "Filter revisions" box, it toggles the visibility of the form

✅ AC2: Test Vector
https://en.wikipedia.beta.wmflabs.org/w/index.php?title=Mod%C3%A8le:43e&action=history
Ensure when you click on the "expand"/"collapse" link in the "Filter revisions" box, it toggles the visibility of the form

✅ AC3: Test Minerva on Desktop
https://en.wikipedia.beta.wmflabs.org/w/index.php?title=Mod%C3%A8le:43e&action=history&useskin=minerva
Ensure when you click on the "expand"/"collapse" link in the "Filter revisions" box, it toggles the visibility of the form. Don't worry about the red background - this is a beta cluster site style that will not appear on production. Also don't worry about the "Compare selected revisions button" being smaller. This is a bug unrelated to this patch and I will file another ticket for that.

ovasileva closed this task as Resolved.Jun 13 2019, 2:43 PM

looks good!